<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0003STabExpViewBase from './ibizsample0003-stab-exp-view-base.vue';

import view_tabexppanel from '@widgets/ibizsample0003/stab-exp-viewtabexppanel-tabexppanel/stab-exp-viewtabexppanel-tabexppanel.vue';
@Component({
    components: {
        view_tabexppanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0003STabExpView extends IBIZSample0003STabExpViewBase {

}
</script>